Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtPickerPolygonMachine Class Reference

A state machine for polygon selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerPolygonMachine:

## Public Member Functions
| QwtPickerPolygonMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *) override
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1 , PointSelection , RectSelection , PolygonSelection }
enum | Command { Begin , Append , Move , Remove , End }
| Commands - the output of a state machine.

## Detailed Description

A state machine for polygon selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection and selects the first point, or appends a point. Pressing QwtEventPattern::MouseSelect2 or QwtEventPattern::KeySelect2 appends the last point and terminates the selection.

See also
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 205 of file qwt_picker_machine.h.